Bug 770222 - Bluetooth gone after hibernate-resume cycle
Bluetooth gone after hibernate-resume cycle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-12-24 08:01 EST by David Anderson
Modified: 2013-02-13 10:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:35:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2011-12-24 08:01:46 EST
Description of problem:
The machine is an Acer 5736Z. After you hibernate (suspend to disk), bluetooth is gone. The bluetooth applet (KDE) says that no adapter is found. You can only get bluetooth back by a reboot cycle.

Toggling the Fn-F3 combination (which on Windows 7, on the same machine, disables/enables bluetooth) makes no difference (it only toggles the wifi).

Version-Release number of selected component (if applicable):
3.1.4-1.fc16.x86_64

Additional info:

$ lsmod | grep blue
bluetooth             202902  23 rfcomm,bnep,btusb
rfkill                 16336  3 bluetooth,acer_wmi

$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
04:00.0 Network controller: Broadcom Corporation BCM43225 802.11b/g/n (rev 01)
05:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe (rev 01)
Comment 1 David Anderson 2012-03-06 00:41:25 EST
A couple of months of further experience shows that the problem is not uniform. Bluetooth survives a hibernate sometimes - I'd guess, perhaps about 1 in 4 times.
Comment 2 Dave Jones 2012-03-22 13:12:05 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:14:27 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:23:41 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 David Anderson 2012-03-23 13:53:48 EDT
Updated to kernel-3.3.0-4.fc16. No difference.
Comment 6 Dave Jones 2012-03-23 14:03:36 EDT
is there anything in dmesg afterwards ?

I wonder if you're seeing the same thing as bug 806033
Comment 7 David Anderson 2012-03-23 14:12:24 EDT
Nothing of that kind - the only BlueTooth related bits in dmesg after my most recent hibernate (which BlueTooth did not survive) are:

[15508.238876] btusb 4-1:1.0: no reset_resume for driver btusb?
[15508.238879] btusb 4-1:1.1: no reset_resume for driver btusb?
Comment 8 Josh Boyer 2012-03-28 14:00:09 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 9 scd 2012-05-09 18:26:12 EDT
Samsung 900X3A notebook, all Fedora 16 kernel versions:

o Bluetooth is gone after resume from suspend to RAM.
o Trying to reconnect a BT mouse manually via "hcitool cc <BTADDR>" results
  in an I/O error.
o BT is incorrectly marked online in the Gnome 3 status panel, but correctly
  shown "Off" in the Gnome system settings BT applet (and cannot be switched
  on via the GUI).

But: "systemd restart bluetooth.service" restores BT functionality and
     reconnects a BT mouse to working state.
Comment 10 Reartes Guillermo 2012-08-15 09:37:58 EDT
I have it, Dell E4310.
After resume, i have this:

# dmesg | grep usb 
[    2.162896] usb 2-1.7: new full-speed USB device number 3 using ehci_hcd
[    2.252515] usb 2-1.7: New USB device found, idVendor=413c, idProduct=8187
[    2.252521] usb 2-1.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    2.252526] usb 2-1.7: Product: DW375 Bluetooth Module
[    2.252529] usb 2-1.7: Manufacturer: Dell Computer Corp
[    2.252532] usb 2-1.7: SerialNumber: 1C659DF47273
[   18.260190] usbcore: registered new interface driver btusb
[  280.451881] btusb 2-1.7:1.0: no reset_resume for driver btusb?
[  280.451886] btusb 2-1.7:1.1: no reset_resume for driver btusb?
[37696.346901] usb 2-1.7: reset full-speed USB device number 3 using ehci_hcd
[37696.433755] btusb 2-1.7:1.0: no reset_resume for driver btusb?
[37696.433763] btusb 2-1.7:1.1: no reset_resume for driver btusb?
[44232.207778] usb 2-1.7: reset full-speed USB device number 3 using ehci_hcd
[44232.294669] btusb 2-1.7:1.0: no reset_resume for driver btusb?
[44232.294673] btusb 2-1.7:1.1: no reset_resume for driver btusb?
[66480.212237] usb 2-1.7: reset full-speed USB device number 3 using ehci_hcd
[66480.299134] btusb 2-1.7:1.0: no reset_resume for driver btusb?
[66480.299143] btusb 2-1.7:1.1: no reset_resume for driver btusb?
[66505.316521] usb 2-1.7: reset full-speed USB device number 3 using ehci_hcd
[66505.403151] btusb 2-1.7:1.0: no reset_resume for driver btusb?
[66505.403156] btusb 2-1.7:1.1: no reset_resume for driver btusb?

# systemctl restart bluetooth.service" seems to restore BT functionality (at least the icon returns to KDE panel, i did not actually test it).

# uname -r
3.4.7-1.fc16.x86_64

@David Anderson / scd@lst.de

In addition to this issue i experience another one (already reported), check
that the following command completes correctly: 

# lsusb -t
Comment 11 David Anderson 2012-08-15 11:04:34 EDT
Yes, systemctl restart bluetooth.service brings back the panel icon and so presumably the service.

lsusb -t shows the Bluetooth device, but shows some errors for some others ("No such file or directory").
Comment 12 Reartes Guillermo 2012-08-17 13:25:55 EDT
It worse, i discovered why my laptop was running hot these times!

without performing:

# systemctl restart bluetooth.service

after resuming the laptop, in addition to what i said in comment #10,
htop shows that the process "/usr/sbin/bluetoothd -n" is using one of the
cores at 100%. No wonder that the laptop was hot.  

After restarting bluetooth.service, the process returns to its normal behavior.

I think the issue severity should be increased, because on a laptop it will increase the heat unnecessarily and even reduce the battery duration. (by the way
i noticed that my battery was lasting less).
Comment 13 Dave Jones 2012-10-23 11:34:36 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 14 scd 2012-11-04 09:43:23 EST
Version-Release number of selected component (if applicable):

3.6.2-1.fc16.x86_64

Sorry for being that late -- and sorry, but no luck: the problem is still the same with the 3.6 kernel, if I don't restart bluetooth.service after resuming from suspend to RAM, my MoGo mouse (which otherwise works fine) is gone.
Comment 15 Fedora End Of Life 2013-01-16 09:31:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2013-02-13 10:35:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.